:root {
    --blue-light: #eaeff2;
    --blue-lighter: #cbd7df;
    --blue: #9caebf;
    --blue-darker: #859baf;
    --blue-dark: #567490;

    --purple-light: #f5f5f9;
    --purple-lighter: #d6d8e6;
    --purple: #c3c6db;
    --purple-dark: #9597bc;

    --green-light: #f6f9f8;
    --green: #c9dbd9;
    --green-dark: #72979d;

    --red-light: #f8f5f5;
    --red: #d8c8c5;
    --red-dark: #9c6a62;
    --red-darker: #c75745;

    --yellow-light: #fcf8f2;
    --yellow: #f1ddc0;
    --yellow-dark: #d59844;

    --gray-50: #f9fafb;
    --gray-100: #f3f4f6;
    --gray: #d1d5db;
    --gray-400: #9ca3af;
    --gray-500: #6b7280;
    --gray-700: #374151;
    --gray-900: #111827;
}

html {
    overflow: hidden;
}

body {
    background: var(--blue-dark);
    font-family: sans-serif;
    color: white;
}

header {
    width: 100%;
    user-select: none;
    padding-bottom: 1rem;

    h1 {
        display: block;
        padding: 0 0.5rem;
    }

    #controls {
        display: flex;
        flex-flow: row nowrap;
        padding: 0 0.5rem;

        & > div:not(:last-child) {
            margin-right: 1rem;
        }

        & > div:last-child {
            margin-left: auto;
        }

        #xlsx-upload-label {
            border: solid 3px var(--gray-700);
            border-radius: 4px;
            display: inline-block;
            font-size: 0.85rem;
            padding: 0.25rem 0.75rem;
            user-select: none;
            #xlsx-upload-input {
                display: none;
            }
        }

        #download-button,
        #processed-file {
            border: solid 3px var(--gray-700);
            border-radius: 4px;
            background: var(--blue-dark);
            font-family: sans-serif;
            font-size: 0.85rem;
            color: white;
            display: inline-block;
            padding: 0.25rem 0.75rem;
        }

        #processed-file {
            border: solid 3px transparent;
            border-radius: 4px;
            font-weight: 700;
            span.dimmed {
                color: rgb(from var(--blue-light) r g b / 75%);
            }
        }
    }
}

main {
    overflow: auto;
    height: 90vh;
    scrollbar-color: var(--gray) var(--blue-dark);
    scrollbar-width: thin;
    #content {
        #data-view {
            border-collapse: separate;
            table-layout: auto;
            width: auto;
            font-family: sans-serif;
            font-size: 0.85rem;
            color: #0f0f0f;
            overflow: visible;
            height: 100%;
            position: relative;

            thead {
                position: sticky;
                top: 0;
                z-index: 1;
                max-height: 50%; /* Limit height to container */
                overflow-y: auto; /* Allow scrolling within element if needed */
                background: var(--gray-700);
                color: white;
                font-size: 0.9rem;

                tr {
                    th {
                        padding: 0.25rem 0;
                        border-top: 5px solid var(--gray-700);
                        border-bottom: 5px solid var(--gray-700);
                        background: var(--blue-dark);
                    }
                }
            }

            /* zebra striping */
            tbody tr:nth-child(odd) {
                background-color: var(--blue);
            }

            tbody tr:nth-child(even) {
                background-color: var(--blue-darker);
            }

            th,
            td {
                padding: 0.25rem 0.5rem;
            }

            td.float,
            td.int {
                font-family: monospace;
                text-align: right;
            }

            .no-wrap {
                white-space: nowrap;
            }
            .center {
                text-align: center;
            }
            .right {
                text-align: right;
            }
            .no-match {
                /* color: var(--red-dark) !important; */
                color: #973a2c !important;
            }
        }
    }
}

@keyframes pulse {
    0% {
        /* color: transparent; */
        /* fill: transparent; */
        opacity: 0;
    }
    100% {
        /* color: #a93b2a; */
        /* fill: #a93b2a; */
        opacity: 1;
    }
}

.pulse {
    animation: pulse 1s infinite alternate;
    font-family: sans-serif;
    font-size: 1rem;
    font-weight: 700;
    padding-right: 0.25rem;
}

.disabled {
    border: solid 3px #999999 !important;
    background: #898989;
    color: #656060;
}

.offline {
    background: #898989;
    color: #656060;
}

#connection-status {
    font-weight: 300;
    font-size: 0.75rem;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    padding-right: 0.5rem;
    opacity: 0.5;
}
